## gnuserv 2.1alpha

=== Makefile ===
CC =      gcc
DEFINES=
RELEASE=  gnuserv-2.1alpha

# Add a -I flag pointing make at the directory where it can get your 
# emacs' config.h file (usually "src" underneath the top of your emacs tree)

# If you don't have access to your emacs source tree, edit config.h.proto
# appropriately, and rename it to config.h in the current directory

INCLUDES = -Iyour_emacs_src_dir/src -I.

# If you don't want xauth(1X11)-style authentication compiled in, remove
# the define of AUTH_MAGIC_COOKIE from gnuserv.h, and comment out the 
# definitions of X11_INCLUDE, X11_LIBRARY and AUTHLIBS below...

# You may need to edit X11_INCLUDE AND X11_LIBRARY so that the
# compiler can find the X11/Xauth.h include file and the libXau.a library

X11_INCLUDE=  -I/usr/X11/include
X11_LIBRARY=  -L/usr/X11/lib 
AUTHLIBS=     $(X11_LIBRARY) -lXau

CFLAGS=       -g $(DEFINES) $(INCLUDES) $(X11_INCLUDE)
DEST=         /usr/local/bin


# You shouldn't need to change anything below this point.

OBJS=  gnuclient.o gnudoit.o gnuserv.o gnuslib.o
ALL=   gnuclient gnudoit gnuserv

all:		$(ALL)

gnuclient:	gnuclient.o gnuslib.o gnuserv.h 
		$(CC) $(CFLAGS) -o gnuclient gnuclient.o gnuslib.o $(AUTHLIBS)

gnudoit:	gnudoit.o gnuslib.o gnuserv.h 
		$(CC) $(CFLAGS) -o gnudoit gnudoit.o gnuslib.o $(AUTHLIBS)

gnuserv:	gnuserv.o gnuslib.o gnuserv.h
		$(CC) $(CFLAGS) -o gnuserv gnuserv.o gnuslib.o $(AUTHLIBS)

install:        $(ALL)
		mv $(ALL) $(DEST)

clean:
		/bin/rm -f $(ALL) *.o *~

tarchive:	clean
		- mkdir /tmp/$(RELEASE)
		- /bin/rm -rf /tmp/$(RELEASE)/*
		tar cf - * | (cd /tmp/$(RELEASE) ; tar xf - )
		/bin/rm -rf /tmp/$(RELEASE)/{RCS,config.h,*.orig}
		(cd /tmp; tar cf /tmp/$(RELEASE).tar $(RELEASE))
		gzip /tmp/$(RELEASE).tar
		/bin/rm -rf /tmp/$(RELEASE)
		mv -i /tmp/$(RELEASE).tar.gz /home/ftp/pub

# DO NOT DELETE THIS LINE -- make depend depends on it.

gnuclient.o: gnuserv.h  
gnudoit.o: gnuserv.h 
gnuserv.o: gnuserv.h
gnuslib.o: gnuserv.h

## gnuserv 3.12.8

=== debian/changelog ===
gnuserv (3.12.8-6) unstable; urgency=low

  * updated dependencies, no longer mentions emacs23 specifically
  (closes: #754037)

 -- Alexander Zangerl <az@debian.org>  Tue, 08 Jul 2014 18:19:06 +1000

gnuserv (3.12.8-5) unstable; urgency=low

  * updated manpage for dtemacs (closes: #280368)

 -- Alexander Zangerl <az@debian.org>  Mon, 16 Sep 2013 22:34:32 +1000

gnuserv (3.12.8-4) unstable; urgency=low

  * changed to 3.0 quilt source format
  * lifted standards version, updated watch file
  * enabled hardening build flags

 -- Alexander Zangerl <az@debian.org>  Sun, 15 Sep 2013 23:47:58 +1000

gnuserv (3.12.8-3) unstable; urgency=low

  * under new management: reintroducing this package
  * lifted standards version

 -- Alexander Zangerl <az@debian.org>  Wed, 16 May 2012 10:56:32 +1000

gnuserv (3.12.8-2) unstable; urgency=low

  * add documentation about loading gnuserv-compat (Closes: 542476) 
  * upgrade policy to 3.9.1 (no changes needed)
  * change depends to emacs | emacs23

 -- Mike O'Connor <stew@debian.org>  Tue, 10 Aug 2010 20:19:20 -0400

gnuserv (3.12.8-1) unstable; urgency=low

  * new upstream version
  * added watch file

 -- Mike O'Connor <stew@debian.org>  Wed, 14 Nov 2007 06:27:27 -0500

gnuserv (3.12.7-5) unstable; urgency=low

  * Adding support for emacs22 (Thanks Junichi Uekawa) (Closes: 432854) 

 -- Mike O'Connor <stew@vireo.org>  Mon, 23 Jul 2007 23:47:37 -0400

gnuserv (3.12.7-4) unstable; urgency=low

  * adding support for -snapshot
  * added dtemacs as an editor alternative (Closes: #397049)
  * fix patches to unapply cleanly (Closes: #424355)
  * fix typo in gnuclient(1) manpage (Closes: #400133)

 -- Mike O'Connor <stew@vireo.org>  Sat, 19 May 2007 14:02:22 -0400

gnuserv (3.12.7-3) unstable; urgency=low

  * New Maintainer (Closes: 393257)
  * Change packaging to dpatch
  * Added patch for ./configure from NMU that fixes missing X includes
    (Thanks: Stelios Bounanos) (Closes: 367983)
  * Remove woody/potato specific code in .postinst
  * Remove GFDL text from copyright, as no works in the package are
    distributed under that license
  * Updated Standards-Version to 3.7.2
  * Added a README.Debian documenting how to start gnuserv (Closes: 323567)
  * Altered gnuserv(1) manpage to not be XEmacs specific (Closes: 379139, 368386)
  * Added patch to remove strerror (Thanks Andreas Jochens) (Closes: 363277)

 -- Mike O'Connor <stew@vireo.org>  Wed, 18 Oct 2006 01:43:49 -0400

gnuserv (3.12.7-2.3) unstable; urgency=low

  * Orphan package

 -- Debian QA Group <packages@qa.debian.org>  Sun, 15 Oct 2006 21:36:44 +0200

gnuserv (3.12.7-2.2) unstable; urgency=low

  * NMU
  * Rebuilt with Unix Domain sockets, Internet Domain sockets or System V IPC
    (Closes: #367983)

 -- Julien Danjou <acid@debian.org>  Sun, 21 May 2006 22:03:29 +0200

gnuserv (3.12.7-2.1) unstable; urgency=low

  * NMU
  * Remove declaration of strerror from sysfile.h, fixing FTBFS
    (Closes: #363277)

 -- Julien Danjou <acid@debian.org>  Wed, 17 May 2006 11:24:02 +0200

gnuserv (3.12.7-2) unstable; urgency=low

  * Use debian-pkg-add-load-path-item to add a path to emacs load path
    (closes: #328715)
  * Fix man page (closes: #331152)
  * Add gnuserv.desktop file (closes: #304062)
  * Optionally depend on emacsen, thus allowing using gnuserv with other
    emacsen, like emacs-snapshot (closes: #352872)
  
 -- Benjamin Drieu <benj@debian.org>  Mon, 17 Apr 2006 13:52:46 +0200

gnuserv (3.12.7-1.2) unstable; urgency=medium

  * NMU.
  * Add a build dependency on libxt-dev to placate configure.
    Closes: #349554.

 -- Matej Vela <vela@debian.org>  Mon, 20 Feb 2006 09:42:19 +0100

gnuserv (3.12.7-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace build-dependency on xlibs-dev with an explicit build-dependency
    on each required package. (Closes: #346753)

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 23 Jan 2006 00:47:19 +0100

gnuserv (3.12.7-1) unstable; urgency=low

  * New upstream release (closes: #279005)
  * Explicitely set gnuserv-program (closes: #291123)

 -- Benjamin Drieu <benj@debian.org>  Thu, 10 Mar 2005 13:43:08 +0100

gnuserv (3.12.6-1.1) unstable; urgency=low

  * NMU
  * Added complete GFDL text to debian/copyright and correct license
    location to debian/dtemacs.1 (closes: #292228)
  * Corrected Standards-Version from 3.6.10 to 3.6.1.

 -- Paul Brossier <piem@altern.org>  Fri,  4 Feb 2005 22:36:48 +0000
 

gnuserv (3.12.6-1) unstable; urgency=low

  * New upstream version (closes: #209126)
  * Remove dependencies on emacs20 (closes: #232737, #232761)
  * Move conffile to /etc/emacs21.  Removing this package but not purging
    it still makes emacs21 croak, but no more other flavours (hopefully
    closes: #207245)

 -- Benjamin Drieu <benj@debian.org>  Mon, 16 Feb 2004 12:27:42 +0100

gnuserv (3.12.4-5) unstable; urgency=low

  * Remote evaluation now work without DISPLAY being set (Closes: #149938)
  * install.log is now universally readable (Closes: #167717)

 -- Benjamin Drieu <benj@debian.org>  Wed, 12 Feb 2003 16:45:40 +0100

gnuserv (3.12.4-4) unstable; urgency=low

  * Quiet down postinst.  (Closes: #143341)
  * Install dtemacs.  (Closes: #144039)

 -- Benjamin Drieu <benj@debian.org>  Tue, 30 Apr 2002 16:41:21 +0200

gnuserv (3.12.4-3) unstable; urgency=low

  * Add some hints about using xauth in gnuserv man page.  (Closes: #99195)

 -- Benjamin Drieu <benj@debian.org>  Wed,  3 Apr 2002 17:26:08 +0200

gnuserv (3.12.4-2) unstable; urgency=low

  * Suppress gnuclient -nw, that does not work with GNU Emacs.  As
    debian's gnuserv/gnuclient is supposed to work only with GNU Emacs
    since xemacs provides its own gnuclient.xemacs21, I remove any
    advertisement to that feature.  (Closes: #119927, #116921,
    #133266, #134972)

  * Buffer overrun fix (Closes: #137912)

  * Closes: #132134.

 -- Benjamin Drieu <benj@debian.org>  Fri, 15 Mar 2002 20:58:10 +0100

gnuserv (3.12.4-1) unstable; urgency=low



=== debian/control ===
Source: gnuserv
Section: editors
Priority: optional
Maintainer: Alexander Zangerl <az@debian.org>
Build-Depends: debhelper (>= 8.0.0), libxau-dev, libxt-dev, emacs | emacsen
Standards-Version: 3.9.4

Package: gnuserv
Architecture: any
Depends: emacs | emacsen, emacsen-common (>= 1.4.14), ${shlibs:Depends}, ${misc:Depends}
Description: Allows you to attach to an already running Emacs
 gnuserv allows you to attach to an already running Emacs. This
 allows external programs to make use of Emacs' editing
 capabilities. It is similar to GNU Emacs' emacsclient, but
 has a slightly different feature set.
 .
 You do not need this package if you use XEmacs; it already
 includes gnuserv and gnuclient. If you want to use gnuserv with
 both GNU Emacs and XEmacs, you will only be able to use the
 alternative /usr/bin/gnuclient with one flavor of emacs; you will
 have to use either gnuclient.xemacs or gnuclient.emacs for the
 other flavor.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

lispdir = $(CURDIR)/debian/gnuserv/usr/share/emacs/site-lisp/gnuserv

configure: configure-stamp
configure-stamp:
	dh_testdir

	./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --x-includes=/usr/include --x-libraries=/usr/lib $(shell dpkg-buildflags --export=configure)

	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir

	$(MAKE)

	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

#	Deal with brain-damaged Makefile's treatment of manpages
	mkdir -p $(CURDIR)/debian/gnuserv/usr/man/man1

	$(MAKE) install prefix=$(CURDIR)/debian/gnuserv/usr
	cp devices.el gnuserv-compat.el gnuserv.el $(lispdir)

#	Install dtemacs, small wrapper to emacs & gnuclient
	install -m 755 debian/dtemacs $(CURDIR)/debian/gnuserv/usr/bin

#	Now put the manpages where they belong
	mv $(CURDIR)/debian/gnuserv/usr/man/man1/* \
		$(CURDIR)/debian/gnuserv/usr/share/man/man1
	cp $(CURDIR)/debian/dtemacs.1 \
		$(CURDIR)/debian/gnuserv/usr/share/man/man1
	rm -rf $(CURDIR)/debian/gnuserv/usr/man

#	Rename the programs for update-alternatives
	for i in gnuattach gnuclient gnudoit; do\
		mv $(CURDIR)/debian/gnuserv/usr/bin/$$i \
			$(CURDIR)/debian/gnuserv/usr/bin/$${i}.emacs;\
	done

#	Prepare the manpages for update-alternatives. This can't be
#	done in the loop above because they're all symlinks to
#	the one gnuserv manpage.
	for i in gnuattach gnuclient gnudoit; do\
		rm -f $(CURDIR)/debian/gnuserv/usr/share/man/man1/$${i}.1;\
		ln -sf gnuserv.1.gz  $(CURDIR)/debian/gnuserv/usr/share/man/man1/$${i}.emacs.1.gz;\
	done

#	Install .desktop file
	install -m 644 debian/gnuserv.desktop $(CURDIR)/debian/gnuserv/usr/share/applications



# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installemacsen
	dh_installman
	dh_installinfo
	dh_installchangelogs ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3

http://martin.meltin.net/hacks/emacs/gnuserv .*/gnuserv-(.*).tar.gz
